Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZBulkMailSubscriptionAddress Class Reference

## Public Member Functions
| __construct ( $id=-1, $categoryID=false)
| store ()
| delete ( $id=-1)
| get ( $id=-1)
| addressExists ( $email)
| eMail ()
| id ()
| categoryID ()
| setEMail ( $value)
| setEncryptetPassword ( $value)
| subscriptions ( $asObjects=true)
| subscribe ( $categoryID)
| unsubscribe ( $category)
| addDelay ( $category, $delay)

## Static Public Member Functions
| getByEmail ( $email)
static | validate ( $email, $password)

## Public Attributes
| $ID
| $EMail
| $Password
| $CategoryID

## Detailed Description

! eZBulkMail eZBulkMailSubscriptionAddress documentation.

Example code:

Definition at line 39 of file ezbulkmailsubscriptionaddress.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBulkMailSubscriptionAddress::__construct | ( |  | $id = `-1`,
|  |  | $categoryID = `false`
| ) |  |

Definition at line 43 of file ezbulkmailsubscriptionaddress.php.

References $categoryID, $ID, and $id.

## Member Function Documentation

## ◆ addDelay()

eZBulkMailSubscriptionAddress::addDelay | ( |  | $category,
|  |  | $delay
| ) |  |

Unsubscribes this user from the given category. If the supplied argument is true, the user is unsubscibed from all categories.

Definition at line 325 of file ezbulkmailsubscriptionaddress.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ addressExists()

eZBulkMailSubscriptionAddress::addressExists | ( |  | $email | ) |

Returns true if the address exists. False if not.

Definition at line 183 of file ezbulkmailsubscriptionaddress.php.

References $db, and eZDB\globalDatabase().

## ◆ categoryID()

eZBulkMailSubscriptionAddress::categoryID | ( |  | ) |

Returns the category id.

Definition at line 224 of file ezbulkmailsubscriptionaddress.php.

References $CategoryID.

## ◆ delete()

eZBulkMailSubscriptionAddress::delete | ( |  | $id = `-1` | ) |

Deletes a eZBulkMail object from the database.

Definition at line 99 of file ezbulkmailsubscriptionaddress.php.

References $db, $ID, $id, $result, $results, and eZDB\globalDatabase().

## ◆ eMail()

eZBulkMailSubscriptionAddress::eMail | ( |  | ) |

Returns the email address of this user.

Definition at line 208 of file ezbulkmailsubscriptionaddress.php.

References $EMail.

## ◆ get()

eZBulkMailSubscriptionAddress::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 126 of file ezbulkmailsubscriptionaddress.php.

References $db, $id, eZDB\globalDatabase(), and Password.

## ◆ getByEmail()

eZBulkMailSubscriptionAddress::getByEmail | ( |  | $email | ) |
| static

Returns object with the email if it exists. If it doesn't and the address is valid a new object is created and returned.

Definition at line 150 of file ezbulkmailsubscriptionaddress.php.

References $db, $id, and eZDB\globalDatabase().

## ◆ id()

eZBulkMailSubscriptionAddress::id | ( |  | ) |

Returns the email address of this user.

Definition at line 216 of file ezbulkmailsubscriptionaddress.php.

References $ID.

## ◆ setEMail()

eZBulkMailSubscriptionAddress::setEMail | ( |  | $value | ) |

Sets the email address. Returns true if the address is set and valid, false othervise.

Definition at line 233 of file ezbulkmailsubscriptionaddress.php.

## ◆ setEncryptetPassword()

eZBulkMailSubscriptionAddress::setEncryptetPassword | ( |  | $value | ) |

Sets an allready encryptet password.

Definition at line 248 of file ezbulkmailsubscriptionaddress.php.

References Password.

## ◆ store()

eZBulkMailSubscriptionAddress::store | ( |  | ) |

Stores a eZBulkMail object to the database.

Definition at line 56 of file ezbulkmailsubscriptionaddress.php.

References $db, $result, eZDB\globalDatabase(), and Password.

## ◆ subscribe()

eZBulkMailSubscriptionAddress::subscribe | ( |  | $categoryID | ) |

Subscribes this address to a category.

Definition at line 272 of file ezbulkmailsubscriptionaddress.php.

References $categoryID, $db, $result, and eZDB\globalDatabase().

## ◆ subscriptions()

eZBulkMailSubscriptionAddress::subscriptions | ( |  | $asObjects = `true` | ) |

Returns all the categories that this user is subscribed to as an array of eZBulkMailCategory objects. If you just want the ID's supply false as the first argument.

Definition at line 256 of file ezbulkmailsubscriptionaddress.php.

References $db, $result, and eZDB\globalDatabase().

## ◆ unsubscribe()

eZBulkMailSubscriptionAddress::unsubscribe | ( |  | $category | ) |

Unsubscribes this user from the given category. If the supplied argument is true, the user is unsubscibed from all categories.

Definition at line 308 of file ezbulkmailsubscriptionaddress.php.

References $category, $categoryID, $db, and eZDB\globalDatabase().

## ◆ validate()

static eZBulkMailSubscriptionAddress::validate | ( |  | $email,
|  |  | $password
| ) |  |
| static

Checks if the email and passwords have a match. Returns true if yes, and false if not.

Definition at line 345 of file ezbulkmailsubscriptionaddress.php.

References $db, $ret, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $CategoryID

eZBulkMailSubscriptionAddress::$CategoryID

Definition at line 362 of file ezbulkmailsubscriptionaddress.php.

Referenced by categoryID().

## ◆ $EMail

eZBulkMailSubscriptionAddress::$EMail

Definition at line 360 of file ezbulkmailsubscriptionaddress.php.

Referenced by eMail().

## ◆ $ID

eZBulkMailSubscriptionAddress::$ID

Definition at line 359 of file ezbulkmailsubscriptionaddress.php.

Referenced by __construct(), delete(), and id().

## ◆ $Password

eZBulkMailSubscriptionAddress::$Password

Definition at line 361 of file ezbulkmailsubscriptionaddress.php.

The documentation for this class was generated from the following file:

- ezbulkmailsubscriptionaddress.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.